import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://raw.githubusercontent.com/gabrielribeirob/d3/main/data.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Lucro_Bruto = +d.Lucro_Bruto;
      d.data_formatada = new Date(d.data_formatada);
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};